'PICAXE-08M
'obousmerne rizeni stejnosmerneho motoru stejnosmernym napetim
'www.hobbyrobot.cz
'podle D.Lynch: Programming and customizing the PICAXE microcontroller

#picaxe 08m

symbol fwdmin = 492
symbol revmin = 532
symbol analogport = 4
symbol pwmport = 2
symbol analogvalue = w0
symbol pwmduty = w1

output 0
output 1

main:
readadc10 analogport, analogvalue
if analogvalue <= fwdmin then gofwd
if analogvalue >= revmin then gorev
	pins = 0
	goto main
		
gofwd:
	pins = $02
	pwmduty = fwdmin - analogvalue * 21 / 10 MAX 1023
	pwmout pwmport, 255, pwmduty
	goto main
	
gorev:
	pins = $01
	pwmduty = analogvalue - revmin * 21 / 10 MAX 1023
	pwmout pwmport, 255, pwmduty
	goto main
